> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Address Watch History

> Retrieves the list of indexed on chain activities for the specified address watch.

The list reflects the indexed on chain activity from the moment the watch was created. Events from before the watch are not backfilled.

#### Authentication

✅ Organization User (`CustomerEmployee`)\
✅ Delegated User (`EndUser`)\
✅ Service Account

#### Required Permissions

`AddressWatches:Read`: Always required.


## OpenAPI

````yaml /openapi.yaml get /address-watches/{addressWatchId}/history
openapi: 3.1.0
info:
  version: 1.952.0
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /address-watches/{addressWatchId}/history:
    get:
      tags:
        - Address Watches
      summary: Get Address Watch History
      description: >-
        Retrieves the list of indexed on chain activities for the specified
        address watch.


        The list reflects the indexed on chain activity from the moment the
        watch was created. Events from before the watch are not backfilled.
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 64
            pattern: ^aw-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
            description: Address watch you want to get the history from.
          required: true
          description: Address watch you want to get the history from.
          name: addressWatchId
          in: path
        - schema:
            type: integer
            minimum: 1
            maximum: 500
            default: 50
            description: Maximum number of items to return.
          required: false
          description: Maximum number of items to return.
          name: limit
          in: query
        - schema:
            type: string
            minLength: 1
            description: >-
              Opaque token used to retrieve the next page. Returned as
              `nextPageToken` from the previous request.
          required: false
          description: >-
            Opaque token used to retrieve the next page. Returned as
            `nextPageToken` from the previous request.
          name: paginationToken
          in: query
        - schema:
            type: string
            enum:
              - In
              - Out
            description: Transfer direction.
          required: false
          description: Transfer direction.
          name: direction
          in: query
        - schema:
            type: string
            enum:
              - NativeTransfer
              - Aip21Transfer
              - AsaTransfer
              - AssetTransfer
              - Cip56Transfer
              - Cis2Transfer
              - Cis7Transfer
              - CoinTransfer
              - Erc20Transfer
              - Erc721Transfer
              - Erc7984Transfer
              - HederaErc20Transfer
              - HederaErc721Transfer
              - Hip17Transfer
              - HtsTransfer
              - IouTransfer
              - LockedCoinTransfer
              - Sep41Transfer
              - Snip2Transfer
              - Snip3Transfer
              - SplTransfer
              - Spl2022Transfer
              - Tep74Transfer
              - Trc10Transfer
              - Trc20Transfer
              - Trc721Transfer
              - UtxoTransfer
              - Xls33Transfer
            description: Blockchain event kind.
          required: false
          description: Blockchain event kind.
          name: kind
          in: query
        - schema:
            type: string
            minLength: 1
          required: false
          name: contract
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/AddressWatchHistoryEvent'
                    description: Current page items.
                  nextPageToken:
                    type: string
                    description: >-
                      token to use as `paginationToken` to request the next
                      page.
                  addressWatchId:
                    type: string
                    minLength: 1
                    maxLength: 64
                    pattern: ^aw-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                    description: Address watch id.
                    example: aw-0pbh4-7sdh4-2occ0e4r1g7obe8c
                  network:
                    $ref: '#/components/schemas/Network'
                required:
                  - items
                  - addressWatchId
                  - network
      security:
        - authenticationToken: []
components:
  schemas:
    AddressWatchHistoryEvent:
      oneOf:
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - NativeTransfer
            from:
              type: string
            to:
              type: string
            value:
              type: string
            fee:
              type: string
            memo:
              type: string
            liquidityPool:
              type: string
            balanceId:
              type: string
            symbol:
              type: string
              description: '@deprecated use metadata.asset.symbol instead'
            decimals:
              type: number
              description: '@deprecated use metadata.asset.decimals instead'
            verified:
              type: boolean
              description: '@deprecated use metadata.asset.verified instead'
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - value
            - symbol
            - decimals
            - addressWatchId
          title: Native Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - Aip21Transfer
            metadataAddress:
              type: string
            from:
              type: string
            to:
              type: string
            value:
              type: string
            fee:
              type: string
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - metadataAddress
            - from
            - to
            - value
            - addressWatchId
          title: Aptos Fungible Asset (AIP-21) Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - AsaTransfer
            assetId:
              type: string
            from:
              type: string
            to:
              type: string
            value:
              type: string
            fee:
              type: string
            optIn:
              type: boolean
            optOut:
              type: boolean
            clawback:
              type: boolean
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - assetId
            - from
            - to
            - value
            - addressWatchId
          title: Algorand Standard Asset Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - AssetTransfer
            assetId:
              type: string
            from:
              type: string
            to:
              type: string
            value:
              type: string
            fee:
              type: string
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - assetId
            - value
            - addressWatchId
          title: Cardano Asset Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - Cip56Transfer
            instrumentId:
              type: string
            instrumentAdmin:
              type: string
            from:
              type: string
            to:
              type: string
            value:
              type: string
            fee:
              type: string
            memo:
              type: string
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - instrumentId
            - instrumentAdmin
            - from
            - to
            - value
            - addressWatchId
          title: Canton Standard Token (CIP-56) Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - CoinTransfer
            coin:
              type: string
            from:
              type: string
            tos:
              type: array
              items:
                type: string
            value:
              type: string
            fee:
              type: string
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - coin
            - from
            - value
            - addressWatchId
          title: Sui Coin Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - Cis2Transfer
            from:
              type: string
            to:
              type: string
            value:
              type: string
            tokenAddress:
              type: string
            fee:
              type: string
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - value
            - tokenAddress
            - addressWatchId
          title: Concordium CIS2 Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - Cis7Transfer
            from:
              type: string
            to:
              type: string
            value:
              type: string
            fee:
              type: string
            tokenId:
              type: string
            memo:
              type: string
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - value
            - tokenId
            - addressWatchId
          title: Concordium CIS7 Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - Erc20Transfer
            contract:
              type: string
            from:
              type: string
            to:
              type: string
            value:
              type: string
            fee:
              type: string
            symbol:
              type: string
              description: '@deprecated use metadata.asset.symbol instead'
            decimals:
              type: number
              description: '@deprecated use metadata.asset.decimals instead'
            verified:
              type: boolean
              description: '@deprecated use metadata.asset.verified instead'
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - contract
            - from
            - to
            - value
            - decimals
            - addressWatchId
          title: EVM Fungible Token (ERC-20) Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - Erc721Transfer
            contract:
              type: string
            from:
              type: string
            to:
              type: string
            tokenId:
              type: string
            fee:
              type: string
            symbol:
              type: string
              description: '@deprecated use metadata.asset.symbol instead'
            verified:
              type: boolean
              description: '@deprecated use metadata.asset.verified instead'
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - contract
            - from
            - to
            - tokenId
            - addressWatchId
          title: EVM Non Fungible Token (ERC-721) Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - Erc7984Transfer
            contract:
              type: string
            from:
              type: string
            to:
              type: string
            value:
              type: string
            fee:
              type: string
            symbol:
              type: string
              description: '@deprecated use metadata.asset.symbol instead'
            decimals:
              type: number
              description: '@deprecated use metadata.asset.decimals instead'
            verified:
              type: boolean
              description: '@deprecated use metadata.asset.verified instead'
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - contract
            - from
            - to
            - value
            - decimals
            - addressWatchId
          title: EVM Confidential Token (ERC-7984) Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - HederaErc20Transfer
            contract:
              type: string
            from:
              type: string
            to:
              type: string
            value:
              type: string
            fee:
              type: string
            transactionId:
              type: string
            evmTxHash:
              type: string
              description: >-
                EVM keccak256 hash of the HIP-410 inner tx. Absent on
                legacy-migrated rows.
            symbol:
              type: string
              description: '@deprecated use metadata.asset.symbol instead'
            decimals:
              type: number
              description: '@deprecated use metadata.asset.decimals instead'
            verified:
              type: boolean
              description: '@deprecated use metadata.asset.verified instead'
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - contract
            - from
            - to
            - value
            - decimals
            - addressWatchId
          title: Hedera EVM Fungible Token (ERC-20) Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - HederaErc721Transfer
            contract:
              type: string
            from:
              type: string
            to:
              type: string
            tokenId:
              type: string
            fee:
              type: string
            transactionId:
              type: string
            evmTxHash:
              type: string
              description: >-
                EVM keccak256 hash of the HIP-410 inner tx. Absent on
                legacy-migrated rows.
            symbol:
              type: string
              description: '@deprecated use metadata.asset.symbol instead'
            verified:
              type: boolean
              description: '@deprecated use metadata.asset.verified instead'
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - contract
            - from
            - to
            - tokenId
            - addressWatchId
          title: Hedera EVM Non Fungible Token (ERC-721) Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - Hip17Transfer
            tokenId:
              type: string
            serialNumber:
              type: string
            from:
              type: string
            to:
              type: string
            fee:
              type: string
            transactionId:
              type: string
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - tokenId
            - serialNumber
            - addressWatchId
          title: HIP17 Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - HtsTransfer
            tokenId:
              type: string
            froms:
              type: array
              items:
                type: string
            tos:
              type: array
              items:
                type: string
            value:
              type: string
            fee:
              type: string
            transactionId:
              type: string
            evmTxHash:
              type: string
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - froms
            - tos
            - value
            - addressWatchId
          title: HTS Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - IouTransfer
            currency:
              type: string
            issuer:
              type: string
            from:
              type: string
            to:
              type: string
            value:
              type: string
            fee:
              type: string
            memo:
              type: string
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - currency
            - issuer
            - value
            - addressWatchId
          title: XRPL IOU Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - LockedCoinTransfer
            coin:
              type: string
            from:
              type: string
            tos:
              type: array
              items:
                type: string
            value:
              type: string
            fee:
              type: string
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - coin
            - from
            - value
            - addressWatchId
          title: Locked Coin Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - Xls33Transfer
            issuanceId:
              type: string
            from:
              type: string
            to:
              type: string
            value:
              type: string
            fee:
              type: string
            memo:
              type: string
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - issuanceId
            - value
            - addressWatchId
          title: XRPL XLS-33 Token Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - Sep41Transfer
            issuer:
              type: string
            assetCode:
              type: string
            from:
              type: string
            to:
              type: string
            value:
              type: string
            fee:
              type: string
            memo:
              type: string
            liquidityPool:
              type: string
            balanceId:
              type: string
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - issuer
            - assetCode
            - from
            - to
            - value
            - addressWatchId
          title: Stellar Classic Assets (SEP-41) Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - Snip2Transfer
            contract:
              type: string
            from:
              type: string
            to:
              type: string
            value:
              type: string
            fee:
              type: string
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - contract
            - from
            - to
            - value
            - addressWatchId
          title: Snip2 Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - Snip3Transfer
            contract:
              type: string
            from:
              type: string
            to:
              type: string
            tokenId:
              type: string
            fee:
              type: string
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - contract
            - from
            - to
            - tokenId
            - addressWatchId
          title: Snip3 Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - SplTransfer
                - Spl2022Transfer
            from:
              type: string
            to:
              type: string
            mint:
              type: string
            value:
              type: string
            fee:
              type: string
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - mint
            - value
            - addressWatchId
          title: Solana Program Library Token (SPL and SPL 2022) Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - Tep74Transfer
            master:
              type: string
            from:
              type: string
            to:
              type: string
            value:
              type: string
            fee:
              type: string
            memo:
              type: string
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - master
            - from
            - value
            - addressWatchId
          title: TON Jetton (TEP-74) Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - Trc10Transfer
            tokenId:
              type: string
            from:
              type: string
            to:
              type: string
            value:
              type: string
            fee:
              type: string
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - tokenId
            - from
            - to
            - value
            - addressWatchId
          title: TRON Native Fungible Token (TRC-10) Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - Trc20Transfer
            contract:
              type: string
            from:
              type: string
            to:
              type: string
            value:
              type: string
            fee:
              type: string
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - contract
            - from
            - to
            - value
            - addressWatchId
          title: TRON Smart Contract Fungible Token (TRC-20) Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - Trc721Transfer
            contract:
              type: string
            from:
              type: string
            to:
              type: string
            tokenId:
              type: string
            fee:
              type: string
            addressWatchId:
              type: string
          required:
            - direction
            - network
            - blockNumber
            - txHash
            - timestamp
            - status
            - metadata
            - kind
            - contract
            - from
            - to
            - tokenId
            - addressWatchId
          title: TRON Non Fungible Token (TRC-721) Transfer
        - type: object
          properties:
            direction:
              type: string
              enum:
                - In
                - Out
            network:
              $ref: '#/components/schemas/Network'
            blockNumber:
              type: number
            txHash:
              type: string
            index:
              type: string
            timestamp:
              type: string
            status:
              type: string
              enum:
                - Included
                - Confirmed
            metadata:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
                fee:
                  type: object
                  properties:
                    symbol:
                      type: string
                    decimals:
                      type: integer
                      description: >-
                        Number of decimals used by the asset, see [this
                        guide](https://docs.dfns.co/guides/developers/displaying-balances)
                        for more details.
                    verified:
                      type: boolean
                      description: Whether the asset is verified by DFNS as legitimate.
                    quotes:
                      type: object
                      properties:
                        EUR:
                          type: number
                        USD:
                          type: number
                      description: >-
                        Corresponding asset price in USD at the time of
                        transfer.
              required:
                - asset
            kind:
              type: string
              enum:
                - UtxoTransfer
            assetId:
              type: string
              description: Only set for Cardano asset transfers.
            froms:
              type: array
              items:
                type: string
            tos:
              type: array
              items:
                type: string
            value:
              type: string
            fee:
              type: string
            outputs:
              type: array
              items:
                type: object
                properties:
                  index:
                    type: number
                  address:
                    type: string
                  value:
                    type: string
                required:
[...]
